%define aurox_ver 9.4
%define rel 1


%define desktop_vendor aurox
# menu level: Base or Extra
%define menu_level Base

Summary: A simple 2d CAD program
Name: qcad
Version: 1.5.4
Release: %{aurox_ver}.aur.%{rel}
Copyright: GPL
Group: Applications/Engineering
URL: http://prdownloads.sourceforge.net/qcad/
Source: http://prdownloads.sourceforge.net/qcad/qcad-1.5.4-src.tar.gz
Source1: qcad-utf8ize.sh
Source2: qcad_1_5_1_doc_de.zip
Source3: qcad_1_5_1_doc_fr.zip
Source4: qcad_1_5_1_doc_pl.zip
Source5: qcad_1_5_1_doc_es.zip
Source6: qcad_1_5_1_doc_it.zip
Source7: qcad_1_5_1_doc_pt.zip
Patch: qcad-1.5.4-helpencoding.patch
BuildRoot: /var/tmp/%{name}-buildroot
BuildRequires: unzip
BuildRequires: qt-devel

%description
QCad is a simple open-source 2d CAD System. It features most
common construction and modification tools and supports
the use of layers and part libraries. QCad comes with it's
own set of fonts, especially designed for CAD. QCad supports
about 20 different languages for it's GUI and comes with fonts
in several international charsets.

%prep
%setup
%patch -p1 -b .helpencoding

%build
#QTDIR=/usr/lib/qt-3.0.5
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/share/%{name}/doc/en/img
mkdir -p $RPM_BUILD_ROOT/usr/share/%{name}/examples
mkdir -p $RPM_BUILD_ROOT/usr/share/%{name}/fonts
mkdir -p $RPM_BUILD_ROOT/usr/share/%{name}/hatches
mkdir -p $RPM_BUILD_ROOT/usr/share/%{name}/libraries
mkdir -p $RPM_BUILD_ROOT/usr/share/%{name}/messages
mkdir -p $RPM_BUILD_ROOT/usr/share/icons
#mkdir -p $RPM_BUILD_ROOT/etc/X11/applink/Applications

cp qcad $RPM_BUILD_ROOT/usr/bin
cp doc/en/*.html $RPM_BUILD_ROOT/usr/share/%{name}/doc/en
cp doc/en/img/*.png $RPM_BUILD_ROOT/usr/share/%{name}/doc/en/img
cp examples/*.dxf $RPM_BUILD_ROOT/usr/share/%{name}/examples/
cp fonts/*.cxf $RPM_BUILD_ROOT/usr/share/%{name}/fonts/
cp hatches/*.dxf $RPM_BUILD_ROOT/usr/share/%{name}/hatches/
cp messages/*.qm $RPM_BUILD_ROOT/usr/share/%{name}/messages/
cp messages/qcad.lang $RPM_BUILD_ROOT/usr/share/%{name}/messages/
cp -r libraries/* $RPM_BUILD_ROOT/usr/share/%{name}/libraries/
rm -rf `find $RPM_BUILD_ROOT/usr/share/%{name}/libraries -name CVS`
cp qcad.xpm $RPM_BUILD_ROOT/usr/share/icons/
#cp qcad.desktop $RPM_BUILD_ROOT/etc/X11/applink/Applications/

# extract and convert to UTF-8
pushd $RPM_BUILD_ROOT/usr/share/%{name}/doc
unzip %{SOURCE2}
unzip %{SOURCE3}
unzip %{SOURCE4}
unzip %{SOURCE5}
unzip %{SOURCE6}
unzip %{SOURCE7}
%{SOURCE1} de latin1
%{SOURCE1} fr latin1
%{SOURCE1} pl latin2
%{SOURCE1} es latin1
%{SOURCE1} it latin1
%{SOURCE1} pt latin1
popd

cat << EOF > %{name}.desktop
[Desktop Entry]
Encoding=UTF-8
Name=QCad
Comment=2D CAD program
Comment[pl]=QCad - dwuwymiarowy CAD
Icon=%{name}.xpm
Exec=%{name}
Terminal=false
Type=Application
EOF

mkdir -p %{buildroot}%{_datadir}/applications
desktop-file-install --vendor %{desktop_vendor} \
  --dir %{buildroot}%{_datadir}/applications    \
  --add-category X-Aurox-%{menu_level}          \
  --add-category Application                    \
  --add-category Education                      \
  %{name}.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING INSTALL MANIFEST README TODO ChangeLog
%{_bindir}/qcad
%{_datadir}/%{name}
%{_datadir}/icons
%{_datadir}/applications/*.desktop

%changelog
* Wed May 05 2004 Aurox Team <aurox@aurox.org> 0:1.5.4-9.4.aur.1
- rebuild with qt 3.3

* Tue Apr  2 2003 Robert Glowczynski <robertg@software.com.pl> 1.5.4-2aur
- now really convert help files to UTF-8
- release 2aur, so upgrade from K12LTSP should work
- make it Aurox-Base, so it may be visible in the first level Education menu

* Tue Apr  1 2003 Robert Glowczynski <robertg@software.com.pl> 1.5.4-1aur
- add de fr pl help to the package
- convert help files to UTF-8 and patch help window to use UTF-8 so that we have Polish displayed correctly

* Tue Sep 10 2002 Andrew Mustun <andrew@qcad.org> 
- first RPM
